Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

So I'm using Elementary Luna Beta (based on Ubuntu 12.04 LTS) on a spare HDD after successfully using Jupiter release (based on 10.10) for many years.

In Jupiter I had my internal mic work out of the box and with Skype installed from deb it was all setup without having to step foot inside the terminal.

In Luna Beta the internal mic is not recognised by the OS and so also not recognised by Skype.

I believe the hardware is this (from sudo lshw):

    *-multimedia
         description: Audio device
         product: 82801I (ICH9 Family) HD Audio Controller
         vendor: Intel Corporation
         physical id: 1b
         bus info: pci@0000:00:1b.0
         version: 03
         width: 64 bits
         clock: 33MHz
         capabilities: pm msi pciexpress bus_master cap_list
         configuration: driver=HDA Intel latency=0
         resources: irq:46 memory:f8600000-f8603fff

As well as this I ran cat /proc/asound/card0/codec* | grep Codec, which gave me:

    Codec: IDT 92HD73C1X5
    Codec: Intel Cantiga HDMI

How do I tweak Luna to get this hardware working properly?

I'm able to switch out my Luna HDD with the Jupiter HDD to help troubleshoot what the differences are between the two and why the more recent OS can't find / use the mic correctly.

Thanks in advance for any help you can give.

share|improve this question
add comment

closed as off-topic by jokerdino Aug 15 '13 at 18:33

This question appears to be off-topic. The users who voted to close gave this specific reason:

  • "This is not about Ubuntu. Questions about other Linux distributions can be asked on Unix & Linux, those about Windows on Super User, those about Apple products on Ask Different and generic programming questions on Stack Overflow." – jokerdino
If this question can be reworded to fit the rules in the help center, please edit the question.

1 Answer

Please try the following to re upgrade ALSA https://wiki.ubuntu.com/Audio/UpgradingAlsa/DKMS

share|improve this answer
    
I tried this. The .deb installed fine but there was no fix to my issue. –  AFD Nov 28 '12 at 0:05
add comment

Not the answer you're looking for? Browse other questions tagged or ask your own question.